using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp9
{
    class Program
    {
        static void Main(string[] args)
        {
            int sum2 = 0;
            int brojac1 = 0;
            int N = int.Parse(Console.ReadLine());
            int[,] matrica = new int[N, N];
            int[,] brojacredova = new int[2, N];
            for (int i = 0; i < N; i++)
            {
                string[] a = Console.ReadLine().Split(' ');
                int[] niz = Array.ConvertAll(a, int.Parse);
                matrica[niz[0] - 1, niz[1] - 1] = 1;
            }
            //vrste brojac,vrste=0
            for (int i = 0; i < N; i++)
            {
                for (int b = 0; b < N; b++)
                {
                    if (matrica[i, b] == 1) brojac1++;
                }
                if (brojac1 > 0)
                {
                    brojacredova[0, i] = brojac1;
                    brojac1 = 0;
                }
            }
            //kolone brojac,kolone=1
            for (int i = 0; i < N; i++)
            {
                for (int b = 0; b < N; b++)
                {
                    if (matrica[b, i] == 1) brojac1++;
                }
                if (brojac1 > 0)
                {
                    brojacredova[1, i] = brojac1;
                    brojac1 = 0;
                }
            }
            for (int x = 1; x < N + 1; x++)
            {


                for (int i = 0; i < N; i++)
                {
                    for (int b = 0; b < N; b++)
                    {
                        if (matrica[i, b] == 1)
                        {
                            if (((brojacredova[0, i])>1) && (brojacredova[1, b]) > 1)
                            {
                                continue;
                            }
                            else if ((brojacredova[0, i]) > 1)
                            {
                                //ako je vrsta puna
                                if ((brojacredova[0, Math.Abs(i - x)] < 1) & ((i - x) >= 0))
                                {
                                    matrica[i - x, b] = 1;
                                    matrica[i, b] = 0;
                                    brojacredova[0, i - x]++;
                                    brojacredova[0, i]--;
                                    sum2+=x;

                                }
                               else if ((brojacredova[0, i + x] < 1) & ((i + x) < N))
                                {
                                    matrica[i + x, b] = 1;
                                    matrica[i, b] = 0;
                                    brojacredova[0, i + x]++;
                                    brojacredova[0, i]--;
                                    sum2+=x;
                                }
                            }
                            //ako je kolona puna
                            else if ((brojacredova[1, b]) > 1)
                            {
                                if ((brojacredova[1, Math.Abs(b - x)] < 1) & ((b - x) >= 0))
                                {
                                    matrica[i, b - x] = 1;
                                    matrica[i, b] = 0;
                                    brojacredova[1,b-x]++;
                                    brojacredova[1,b]--;
                                    sum2+=x;
                                }
                               else if ((brojacredova[1, b + x] < 1) & ((b + x) < N))
                                {
                                    matrica[i, b + x] = 1;
                                    matrica[i, b] = 0;
                                    brojacredova[1, b + x]++;
                                    brojacredova[1, b]--;
                                    sum2+=x;
                                }

                            }
                            else continue;
                            
                       }
                    }
                }


            }
            Console.WriteLine(sum2);
        }
    }
}